---
title: Array.prototype.toString()
slug: Web/JavaScript/Reference/Global_Objects/Array/toString
tags:
  - Array
  - JavaScript
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <code><strong>toString()</strong></code> method returns a string representing the specified array and its elements.</p>

<div>{{EmbedInteractiveExample("pages/js/array-tostring.html","shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>arr</var>.toString()</pre>

<h3 id="Return_value">Return value</h3>

<p>A string representing the elements of the array.</p>

<h2 id="Description">Description</h2>

<p>The {{jsxref("Array")}} object overrides the <code>toString</code> method of {{jsxref("Object")}}. For Array objects, the <code>toString</code> method joins the array and returns one string containing each array element separated by commas.</p>

<p>JavaScript calls the <code>toString</code> method automatically when an array is to be represented as a text value or when an array is referred to in a string concatenation.</p>

<h3 id="ECMAScript_5_semantics">ECMAScript 5 semantics</h3>

<p>Starting in JavaScript 1.8.5 (Firefox 4), and consistent with ECMAScript 5th edition semantics, the <code>toString()</code> method is generic and can be used with any object. {{jsxref("Object.prototype.toString()")}} will be called, and the resulting value will be returned.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_toString">Using toString</h3>

<pre class="brush: js notranslate">const array1 = [1, 2, 'a', '1a'];

console.log(array1.toString());
// expected output: "1,2,a,1a"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-array.prototype.tostring', 'Array.prototype.toString')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Array.toString")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Array.prototype.join()")}}</li>
 <li>{{jsxref("Object.prototype.toSource()")}}</li>
</ul>
